Delete Dataset
curl --request DELETE \
--url https://api.example.com/api/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/datasets/{dataset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Delete Dataset
DELETE
/
api
/
datasets
/
{dataset_id}
Delete Dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Delete dataset files on disk
Delete all scans for this dataset
Keep dataset settings, scans, and results while removing dataset files.
Cookies
Response
Successful Response
⌘I

